"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ErrorUtil = require("./util/ErrorUtil");
const _Context = require("./ioc/Context");
const _PreinstantiatedSingletonDefinition = require("./ioc/objectdefinition/PreinstantiatedSingletonDefinition");
const _InceptumApp = require("./app/InceptumApp");
const _LogManager = require("./log/LogManager");
var ioc;
(function (ioc) {
    ioc.Context = _Context.Context;
    var objectdefinition;
    (function (objectdefinition) {
        objectdefinition.PreinstantiatedSingletonDefinition = _PreinstantiatedSingletonDefinition.PreinstantiatedSingletonDefinition;
    })(objectdefinition = ioc.objectdefinition || (ioc.objectdefinition = {}));
})(ioc = exports.ioc || (exports.ioc = {}));
var app;
(function (app) {
    app.InceptumApp = _InceptumApp.InceptumApp;
})(app = exports.app || (exports.app = {}));
var log;
(function (log) {
    log.LogManager = _LogManager.LogManager;
    log.Logger = _LogManager.Logger;
})(log = exports.log || (exports.log = {}));
var util;
(function (util) {
    util.ExtendedError = _ErrorUtil.ExtendedError;
})(util = exports.util || (exports.util = {}));
//# sourceMappingURL=index.js.map