import * as _ErrorUtil from './util/ErrorUtil';
import * as _Context from './ioc/Context';
import * as _PreinstantiatedSingletonDefinition from './ioc/objectdefinition/PreinstantiatedSingletonDefinition';
import * as _InceptumApp from './app/InceptumApp';
import * as _LogManager from './log/LogManager';
export declare namespace ioc {
    const Context: typeof _Context.Context;
    namespace objectdefinition {
        const PreinstantiatedSingletonDefinition: typeof _PreinstantiatedSingletonDefinition.PreinstantiatedSingletonDefinition;
    }
}
export declare namespace app {
    const InceptumApp: typeof _InceptumApp.InceptumApp;
}
export declare namespace log {
    const LogManager: _LogManager.LogManagerInternal;
    const Logger: typeof _LogManager.Logger;
}
export declare namespace util {
    const ExtendedError: typeof _ErrorUtil.ExtendedError;
}
